Index: code/branches/presentation/src/orxonox/tools/BillboardSet.cc
===================================================================
--- code/branches/presentation/src/orxonox/tools/BillboardSet.cc	(revision 2370)
+++ code/branches/presentation/src/orxonox/tools/BillboardSet.cc	(revision 2459)
@@ -34,4 +34,5 @@
 
 #include <OgreSceneManager.h>
+#include <OgreBillboardSet.h>
 #include <OgreBillboard.h>
 
Index: code/branches/presentation/src/orxonox/tools/BillboardSet.h
===================================================================
--- code/branches/presentation/src/orxonox/tools/BillboardSet.h	(revision 2370)
+++ code/branches/presentation/src/orxonox/tools/BillboardSet.h	(revision 2459)
@@ -33,5 +33,5 @@
 
 #include <string>
-#include <OgreBillboardSet.h>
+#include <OgrePrerequisites.h>
 
 #include "util/Math.h"
Index: code/branches/presentation/src/orxonox/tools/BulletConversions.h
===================================================================
--- code/branches/presentation/src/orxonox/tools/BulletConversions.h	(revision 2459)
+++ code/branches/presentation/src/orxonox/tools/BulletConversions.h	(revision 2459)
@@ -0,0 +1,96 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _BulletConversions_H__
+#define _BulletConversions_H__
+
+#include "OrxonoxPrereqs.h"
+
+#include "util/Convert.h"
+#include "util/Math.h"
+#include "LinearMath/btQuaternion.h"
+#include "LinearMath/btVector3.h"
+
+namespace orxonox
+{
+    // Vector3 to btVector3
+    template <>
+    struct ConverterExplicit<orxonox::Vector3, btVector3>
+    {
+        static bool convert(btVector3* output, const orxonox::Vector3& input)
+        {
+            output->setX(input.x);
+            output->setY(input.y);
+            output->setZ(input.z);
+            return true;
+        }
+    };
+
+    // btVector3 to Vector3
+    template <>
+    struct ConverterExplicit<btVector3, orxonox::Vector3>
+    {
+        static bool convert(orxonox::Vector3* output, const btVector3& input)
+        {
+            output->x = input.x();
+            output->y = input.y();
+            output->z = input.z();
+            return true;
+        }
+    };
+
+    // Quaternion to btQuaternion
+    template <>
+    struct ConverterExplicit<orxonox::Quaternion, btQuaternion>
+    {
+        static bool convert(btQuaternion* output, const orxonox::Quaternion& input)
+        {
+            output->setW(input.w);
+            output->setX(input.x);
+            output->setY(input.y);
+            output->setZ(input.z);
+            return true;
+        }
+    };
+
+    // btQuaternion to Vector3
+    template <>
+    struct ConverterExplicit<btQuaternion, orxonox::Quaternion>
+    {
+        static bool convert(orxonox::Quaternion* output, const btQuaternion& input)
+        {
+            output->w = input.w();
+            output->x = input.x();
+            output->y = input.y();
+            output->z = input.z();
+            return true;
+        }
+    };
+}
+
+#endif /* _BulletConversions_H__ */
Index: code/branches/presentation/src/orxonox/tools/Mesh.cc
===================================================================
--- code/branches/presentation/src/orxonox/tools/Mesh.cc	(revision 2370)
+++ code/branches/presentation/src/orxonox/tools/Mesh.cc	(revision 2459)
@@ -31,4 +31,5 @@
 
 #include <sstream>
+#include <OgreEntity.h>
 #include <OgreSceneManager.h>
 #include <cassert>
Index: code/branches/presentation/src/orxonox/tools/Mesh.h
===================================================================
--- code/branches/presentation/src/orxonox/tools/Mesh.h	(revision 2370)
+++ code/branches/presentation/src/orxonox/tools/Mesh.h	(revision 2459)
@@ -33,5 +33,5 @@
 
 #include <string>
-#include <OgreEntity.h>
+#include <OgrePrerequisites.h>
 
 namespace orxonox
Index: code/branches/presentation/src/orxonox/tools/ParticleInterface.cc
===================================================================
--- code/branches/presentation/src/orxonox/tools/ParticleInterface.cc	(revision 2370)
+++ code/branches/presentation/src/orxonox/tools/ParticleInterface.cc	(revision 2459)
@@ -57,5 +57,4 @@
 
         this->scenemanager_ = scenemanager;
-        this->sceneNode_ = 0;
         this->particleSystem_ = 0;
 
@@ -87,28 +86,5 @@
         {
             this->particleSystem_->removeAllEmitters();
-            this->detachFromSceneNode();
             this->scenemanager_->destroyParticleSystem(this->particleSystem_);
-        }
-    }
-
-    void ParticleInterface::addToSceneNode(Ogre::SceneNode* sceneNode)
-    {
-        if (this->sceneNode_)
-            this->detachFromSceneNode();
-
-        if (this->particleSystem_)
-        {
-            this->sceneNode_ = sceneNode;
-            this->sceneNode_->attachObject(this->particleSystem_);
-        }
-    }
-
-    void ParticleInterface::detachFromSceneNode()
-    {
-        if (this->sceneNode_)
-        {
-            if (this->particleSystem_)
-                this->sceneNode_->detachObject(this->particleSystem_);
-            this->sceneNode_ = 0;
         }
     }
Index: code/branches/presentation/src/orxonox/tools/ParticleInterface.h
===================================================================
--- code/branches/presentation/src/orxonox/tools/ParticleInterface.h	(revision 2370)
+++ code/branches/presentation/src/orxonox/tools/ParticleInterface.h	(revision 2459)
@@ -33,5 +33,5 @@
 
 #include <string>
-#include <OgreParticleEmitter.h>
+#include <OgrePrerequisites.h>
 
 #include "core/OrxonoxClass.h"
@@ -53,7 +53,4 @@
             inline Ogre::ParticleSystem* getParticleSystem() const
                 { return this->particleSystem_; }
-
-            void addToSceneNode(Ogre::SceneNode* sceneNode);
-            void detachFromSceneNode();
 
             Ogre::ParticleEmitter* createNewEmitter();
@@ -96,5 +93,4 @@
             static unsigned int       counter_s;
 
-            Ogre::SceneNode*          sceneNode_;
             Ogre::ParticleSystem*     particleSystem_;
             bool                      bVisible_;
